Catchup API
Serves recent consensus state to allow peers to catch up with the network
Types
Account
Account{
// Account balance in WEI. Serialized as a hex string so as not to exceed the
// range of JSON integers.
"balance": hex,
// Merkle proof justifying "balance" relative to the state commitment.
"proof": {
"account": hex,
"proof":
{ "Presence": MerkleProof },
| { "Absence": MerkleProof }
}
}
}Endpoints
GET /catchup/:height/:view/account/:address
/catchup/:height/:view/account/:addressParameters
Name
Type
Description
Returns Account
AccountPOST /catchup/:height/:view/accounts
/catchup/:height/:view/accountsParameters
Name
Type
Description
Returns FeeMerkleTree
FeeMerkleTreeGET /catchup/:height/:view/blocks
/catchup/:height/:view/blocksParameters
Name
Type
Description
Returns MerkleProof
MerkleProofGET /catchup/chain-config/:commitment
/catchup/chain-config/:commitmentParameters
Name
Type
Description
Last updated

